corelinux::Synchronized Class Reference

Synchronized is a mixin which allows class objects to enable monitor functionality. More...

`#include <Synchronized.hpp>`

## Classes

class | Guard
| Guard is the automatic instance that insures a lock is not held beyond the scope where it was instantiated. More...

## Public Member Functions

| Synchronized (void)
| Default constructor.
| Synchronized (SynchronizedCref)
| Copy constructor.
virtual | ~Synchronized (void)
| Virtual Destructor.
SynchronizedRef | operator= (SynchronizedCref)
| Assignment operator.
bool | operator== (SynchronizedCref) const
| Equality operator.

## Protected Types

typedef Guard * | GuardPtr
typedef const Guard * | GuardCptr
typedef Guard & | GuardRef
typedef const Guard & | GuardCref

## Protected Member Functions

Guard | access (void) const throw (SemaphoreException)
| Access returns a instance of Guard which is block scoped to the caller. More...

## Detailed Description

Synchronized is a mixin which allows class objects to enable monitor functionality.

## Member Function Documentation

Synchronized::Guard corelinux::Synchronized::access | ( | void |  | ) | const
throw | ( | SemaphoreException
| ) |  |

protected

Access returns a instance of Guard which is block scoped to the caller.

Returns
  Guard the blocking instance

Referenced by corelinux::EventSemaphore::lockWithNoWait(), corelinux::GatewaySemaphore::lockWithNoWait(), corelinux::MutexSemaphore::lockWithWait(), corelinux::EventSemaphore::lockWithWait(), and corelinux::GatewaySemaphore::lockWithWait().

The documentation for this class was generated from the following files:

- Synchronized.hpp
- Synchronized.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium